import { CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot, Router } from '@angular/router';
import { Observable } from 'rxjs';
import { AngularFireAuth } from '@angular/fire/auth';
import { EnvConfig } from '../interface/env-config';
export declare class UnauthGuard implements CanActivate {
    private config;
    private router;
    private afAuth;
    constructor(config: EnvConfig, router: Router, afAuth: AngularFireAuth);
    canActivate(next: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean> | Promise<boolean> | boolean;
}
